<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Hover</title>
    <link rel="stylesheet" href="1.css">
</head>
<body>
    <h1>HOVER</h1>
    <div class="hover">
        <a href="#" class="background">Link 1</a>
        <a href="#" class="color">Link 2</a>
        <a href="#" class="border">Link 3</a>
        <a href="#" class="font-size">Link 4</a>
        <a href="#" class="font-weight">Link 1</a>
    </div>
    <div class="hover optional">
        <a href="#" class="border-pseudo">Link Optional</a>
    </div>
</body>
</html>